#pragma once

#include <atlpath.h>
class Drive
{
public:
	static BOOL GetCurrentUserLocalStorageFolderFileName(TCHAR* pDir, int nMax, const TCHAR *append_name )
	{
		if( FALSE == GetCurrentUserCommonDataFolder( pDir, nMax) )
			return FALSE;

		return ATLPath::Append(pDir, append_name);
	}

	static BOOL GetCurrentUserCommonDataFolder( TCHAR* pDir, int nMax )
	{
		static const TCHAR *UPDATER_CONFIG_DEFAULT_PATH = _T("Ntalk biz\\NtalkbizUpgrader\\config");
		ZeroMemory(pDir, nMax);
		if(FAILED(SHGetFolderPath(NULL, 
			CSIDL_COMMON_APPDATA, 
			NULL, 
			0, 
			pDir))) 
		{
			return FALSE;
		}

		TCHAR username[1024];
		DWORD username_size = GetEnvironmentVariable( _T("USERNAME"), username, 1024 );
		username[username_size] = 0;

		ATLPath::Append(pDir, UPDATER_CONFIG_DEFAULT_PATH);
		return ATLPath::Append(pDir, username);
	}

	static BOOL GetCurrentFolderFilename(TCHAR* pDir, int nMax, const TCHAR *append_name )
	{
		if( FALSE == GetCurrentFolder(pDir, nMax) )
			return FALSE;

		return ATLPath::Append(pDir, append_name);
	}

	static BOOL GetCurrentFolder( TCHAR* pDir, int nMax )
	{
		ZeroMemory(pDir, nMax);
		if(GetCurrentDirectoryW(nMax, pDir))
		{
			_tcscat(pDir, _T("\\"));
			return TRUE;

		}		
		else
		{
			return FALSE;
		}
	}
};

